Piloterr

SEEK Search

GET
/v2/seek/search

Search SEEK Australia jobs by keyword or by a results URL.

Credit cost: 2 credits per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

Required. Job keyword, for example nurse, or a SEEK results URL such as https://www.seek.com.au/nurse-jobs. A /job/ URL is rejected.

Examples:

nurse
page?number

Optional. Page number starting at 1. Example: 2. Omitted means page 1. A page already present in a results URL is kept when this is omitted or 1.

Default"1"

Response Body

Successful response

application/json
  1. response
results?array<>
pagination?
Example Request
curl -X GET 'https://api.piloterr.com/v2/seek/search?query=string'
Example Response
{  "results": [    {      "id": "95568355",      "url": "https://www.seek.com.au/job/95568355",      "title": "Telehealth Nurse (RN or EN)",      "salary": 45,      "company": "Reorg Solutions",      "currency": "AUD",      "location": "Sydney NSW",      "listed_at": "1d ago",      "work_type": "This is a Casual/Vacation job",      "salary_max": null,      "salary_min": null,      "company_url": "https://www.seek.com.au/Reorg-Solutions-jobs",      "salary_period": "hour",      "classification": "Healthcare & Medical",      "salary_display": "$45 per hour",      "subclassification": "Nursing - General Medical & Surgical"    }  ],  "pagination": {    "next": "https://www.seek.com.au/nurse-jobs?page=2",    "page": 1,    "per_page": 32,    "total_pages": null,    "total_results": 7894  }}